### Method

# Clutter PanGesture get_accumulated_delta

#### Declaration [src]

    void
    clutter_pan_gesture_get_accumulated_delta (
      ClutterPanGesture* self,
      graphene_vec2_t* accumulated_delta_out
    )

#### Description [src]

Retrieves the accumulated delta from all events (ie. the total delta that the pan has been moved) as `accumulated_delta_out`.

This function is mostly meant to be called within ::pan-update signal handlers, to get the delta that the pan has moved since the last ::pan-update emission.

#### Parameters

`accumulated_delta_out`

  Type: `graphene_vec2_t`

  The accumulated delta from all events.

  The argument will be set by the function.
  The returned data is owned by the instance.